[arch-commits] Commit in obconf/trunk (PKGBUILD obconf.install)

Jan de Groot jgc at archlinux.org
Fri May 8 17:31:01 EDT 2009


    Date: Friday, May 8, 2009 @ 17:31:01
  Author: jgc
Revision: 38528

upgpkg: obconf 2.0.3-3
    Add desktop-file-utils dependency

Modified:
  obconf/trunk/PKGBUILD
  obconf/trunk/obconf.install

----------------+
 PKGBUILD       |   12 ++++++------
 obconf.install |    8 --------
 2 files changed, 6 insertions(+), 14 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-08 21:27:16 UTC (rev 38527)
+++ PKGBUILD	2009-05-08 21:31:01 UTC (rev 38528)
@@ -4,12 +4,12 @@
 
 pkgname=obconf
 pkgver=2.0.3
-pkgrel=2
+pkgrel=3
 pkgdesc="A gtk2 based configuration tool for the Openbox windowmanager"
 arch=(i686 x86_64)
 license=('GPL')
 url="http://tr.openmonkey.com/pages/obconf/"
-depends=('openbox>=3.4.5' 'gtk2' 'libglade')
+depends=('openbox>=3.4.5' 'gtk2>=2.16.1' 'libglade' 'desktop-file-utils')
 install=${pkgname}.install
 source=(http://icculus.org/openbox/${pkgname}/${pkgname}-${pkgver}.tar.gz \
         http://icculus.org/openbox/mw/images/8/80/Obconf-72.png)
@@ -17,9 +17,9 @@
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr
+  ./configure --prefix=/usr || return 1
   make || return 1
-  sed -i 's/=openbox/=obconf/' obconf.desktop
-  make DESTDIR=${startdir}/pkg install
-  install -Dm644 ../Obconf-72.png ${startdir}/pkg/usr/share/pixmaps/obconf.png
+  sed -i 's/=openbox/=obconf/' obconf.desktop || return 1
+  make DESTDIR=${startdir}/pkg install || return 1
+  install -Dm644 ../Obconf-72.png ${startdir}/pkg/usr/share/pixmaps/obconf.png || return 1
 }

Modified: obconf.install
===================================================================
--- obconf.install	2009-05-08 21:27:16 UTC (rev 38527)
+++ obconf.install	2009-05-08 21:31:01 UTC (rev 38528)
@@ -1,7 +1,5 @@
-
 # arg 1:  the new package version
 post_install() {
-  echo "update desktop mime database..."
   update-desktop-database -q /usr/share/applications
   update-mime-database /usr/share/mime 1> /dev/null
 }
@@ -12,12 +10,6 @@
 
 # arg 1:  the old package version
 post_remove() {
-  echo "update desktop mime database..."
   update-desktop-database -q
   update-mime-database /usr/share/mime 1> /dev/null
 }
-
-op=$1
-shift
-$op $*
-# vim: ft=sh



More information about the arch-commits mailing list